com.holonplatform.core.query

## Interface QueryFunction.NoArgQueryFunction<T>

- Type Parameters:
    `T` - Function result type
  All Superinterfaces:
    Expression, QueryExpression<T>, QueryFunction<T,Void>, QueryProjection<T>, TypedExpression<T>
  Enclosing interface:
    QueryFunction<T,A>

      public static interface QueryFunction.NoArgQueryFunction<T>
      extends QueryFunction<T,Void>

  A `QueryFunction` which do not support any argument.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QueryFunction

      `QueryFunction.Avg, QueryFunction.Count, QueryFunction.Max<T>, QueryFunction.Min<T>, QueryFunction.NoArgQueryFunction<T>, QueryFunction.PropertyQueryFunction<T,A>, QueryFunction.Sum<T extends Number>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default List<TypedExpression<? extends Void>>` | `getExpressionArguments()` If the function supports expression arguments, returns the arguments list.

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFunction

      `avg, count, currentDate, currentLocalDate, currentLocalDateTime, currentTimestamp, day, hour, lower, max, min, month, sum, upper, year`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getExpressionArguments

          default List<TypedExpression<? extends Void>> getExpressionArguments()

      Description copied from interface: `QueryFunction`
      If the function supports expression arguments, returns the arguments list.
      Specified by:
        `getExpressionArguments` in interface `QueryFunction<T,Void>`
      Returns:
        Function arguments, an empty list if none

Copyright © 2019 The Holon Platform. All rights reserved.